Skip to main content
GET
Get a webhook endpoint

Authorizations

Authorization
string
header
required

An API key that starts with vms_. Make one in Settings > API keys.

Path Parameters

id
string
required
Example:

"whk_06d8k3m7q2v9x4b1n5c0e8f2ja"

Response

The endpoint.

id
string
required
Example:

"whk_06d8k3m7q2v9x4b1n5c0e8f2ja"

url
string
required
Example:

"https://example.com/vms-webhooks"

description
string | null
required
events
enum<string>[]
required

The events that go to this endpoint.

The kind of change that an event reports.

Available options:
sandbox.running,
sandbox.stopped,
sandbox.error,
sandbox.degraded,
sandbox.recovered,
sandbox.deleted,
sandbox.failed,
sandbox.hydrated
enabled
boolean
required

False if the endpoint gets no events.

createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$